<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:wmo401="http://www.istandaarden.nl/ieb/1_0/wmo401/schema"
                xmlns:wmo403="http://www.istandaarden.nl/ieb/1_0/wmo403/schema"
>
    <!-- iWlz 2.0 TR113 version 1.6.2 (2019-07-16) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR113"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR113"/>
    </xsl:template>

    <xsl:template match="wmo401:StartEigenBijdrage/wmo401:EbStartdatum" mode="TR113">
        <xsl:if test="../wmo401:StatusAanlevering/text()=1">
            <xsl:call-template name="checkDateRelation">
                <xsl:with-param name="pDate" select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
                <xsl:with-param name="pRelation">monthsBefore</xsl:with-param>
                <xsl:with-param name="pExtra">1</xsl:with-param>
                <xsl:with-param name="pRule">TR113</xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>
    
    <xsl:template match="wmo403:StopEigenBijdrage/wmo403:EbStopdatum" mode="TR113">
       <xsl:if test="../wmo403:StatusAanlevering/text()=1">
            <xsl:call-template name="checkDateRelation">
	            <xsl:with-param name="pDate" select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
                <xsl:with-param name="pRelation">monthsBefore</xsl:with-param>
                <xsl:with-param name="pExtra">1</xsl:with-param>
	            <xsl:with-param name="pRule">TR113</xsl:with-param>
	        </xsl:call-template>
       </xsl:if>
    </xsl:template>
</xsl:stylesheet>
